Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.management.security.pk
Class CertPathBuilderValidatorImpl

    java.lang.Object
      weblogic.management.security.BaseMBeanImpl
          weblogic.management.security.ProviderImpl
              weblogic.management.security.pk.CertPathProviderImpl
                  weblogic.management.security.pk.CertPathBuilderImpl
                      weblogic.management.security.pk.CertPathBuilderValidatorImpl

public class CertPathBuilderValidatorImpl
extends CertPathBuilderImpl

The base class of all cert path provider mbean implentations for providers that are both builders and validator. It gives the provider's mbean implementation access to its configuration attributes. It also automatically includes support for all CertPathBuilder and CertPathValidator attribute validators. It picks up any CertPathBuilder attribute validators by inheritance since it extends CertPathBuilderImpl. It picks up any CertPathValidator attribute validators by delegation since it instantiates CertPathValidatorImpl. Note: if any new CertPathValidator attribute validators are added, this class must be extended to delegate the validator to the CertPathValidatorImpl.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`` | `CertPathBuilderValidatorImpl(ModelMBean base)` Class constructor specifying the corresponding required model mbean.
`protected` | `CertPathBuilderValidatorImpl(RequiredModelMBean base)`

Methods inherited from class weblogic.management.security.ProviderImpl
`getRealm`

Methods inherited from class weblogic.management.security.BaseMBeanImpl
`getProxy, getRequiredModelMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertPathBuilderValidatorImpl

    public CertPathBuilderValidatorImpl(ModelMBean base)
                                 throws MBeanException

  Class constructor specifying the corresponding required model mbean.

Throws:
  `MBeanException` - Description of the Exception

### CertPathBuilderValidatorImpl

    protected CertPathBuilderValidatorImpl(RequiredModelMBean base)
                                    throws MBeanException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD